CurvedDimensionSetHandlerCreateCurvedDimensionSetRadial Method (ViewBase, Point, Point, Point, PointList, Double) |
Creates a curved dimension set from the specified points and inserts it to the database.
Uses the default attributes.
Namespace: Tekla.Structures.Drawing
Assembly: Tekla.Structures.Drawing (in Tekla.Structures.Drawing.dll) Version: 2024.0.0+a110b435391768740483e3032720a566518c9a63
Syntax
public CurvedDimensionSetRadial CreateCurvedDimensionSetRadial( ViewBase View, Point ArcPoint1, Point ArcPoint2, Point ArcPoint3, PointList DimensionPoints, double Distance )
Parameters
- View
- Type: Tekla.Structures.DrawingViewBase
The view to be used. - ArcPoint1
- Type: Tekla.Structures.Geometry3dPoint
The first arc point to be used. - ArcPoint2
- Type: Tekla.Structures.Geometry3dPoint
The second arc point to be used. - ArcPoint3
- Type: Tekla.Structures.Geometry3dPoint
The third arc point to be used. - DimensionPoints
- Type: Tekla.Structures.DrawingPointList
The dimension points to be used. - Distance
- Type: SystemDouble
The distance to be used.
Return Value
Type: CurvedDimensionSetRadialThe created dimension set or null if failed.
See Also